<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddImagesToHomeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->string('image_4')->nullable();
            $table->string('url_4')->nullable();
            $table->string('image_5')->nullable();
            $table->string('url_5')->nullable();
            $table->string('banner_top_4')->nullable();
            $table->string('banner_top_4_url')->nullable();
            $table->string('banner_top_5')->nullable();
            $table->string('banner_top_5_url')->nullable();
            $table->string('banner_underb_4')->nullable();
            $table->string('banner_underb_4_url')->nullable();
            $table->string('banner_underb_5')->nullable();
            $table->string('banner_underb_5_url')->nullable();
            $table->string('banner_middle_4')->nullable();
            $table->string('banner_middle_4_url')->nullable();
            $table->string('banner_middle_5')->nullable();
            $table->string('banner_middle_5_url')->nullable();
            $table->string('banner_first_4')->nullable();
            $table->string('banner_first_4_url')->nullable();
            $table->string('banner_first_5')->nullable();
            $table->string('banner_first_5_url')->nullable();
            $table->string('banner_right_top_4')->nullable();
            $table->string('banner_right_top_4_url')->nullable();
            $table->string('banner_right_top_5')->nullable();
            $table->string('banner_right_top_5_url')->nullable();
            $table->string('banner_right_bottom_4')->nullable();
            $table->string('banner_right_bottom_4_url')->nullable();
            $table->string('banner_right_bottom_5')->nullable();
            $table->string('banner_right_bottom_5_url')->nullable();
            $table->string('banner_right_big_4')->nullable();
            $table->string('banner_right_big_4_url')->nullable();
            $table->string('banner_right_big_5')->nullable();
            $table->string('banner_right_big_5_url')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->dropColumn('image_4');
            $table->dropColumn('url_4');
            $table->dropColumn('image_5');
            $table->dropColumn('url_5');
            $table->dropColumn('banner_top_4');
            $table->dropColumn('banner_top_4_url');
            $table->dropColumn('banner_top_5');
            $table->dropColumn('banner_top_5_url');
            $table->dropColumn('banner_underb_4');
            $table->dropColumn('banner_underb_4_url');
            $table->dropColumn('banner_underb_5');
            $table->dropColumn('banner_unuderb_5_url');
            $table->dropColumn('banner_middle_4');
            $table->dropColumn('banner_middle_4_url');
            $table->dropColumn('banner_middle_5');
            $table->dropColumn('banner_middle_5_url');
            $table->dropColumn('banner_first_4');
            $table->dropColumn('banner_first_4_url');
            $table->dropColumn('banner_first_5');
            $table->dropColumn('banner_first_5_url');
            $table->dropColumn('banner_right_top_4');
            $table->dropColumn('banner_right_top_4_url');
            $table->dropColumn('banner_right_top_5');
            $table->dropColumn('banner_right_top_5_url');
            $table->dropColumn('banner_right_bottom_4');
            $table->dropColumn('banner_right_bottom_4_url');
            $table->dropColumn('banner_right_bottom_5');
            $table->dropColumn('banner_right_bottom_5_url');
            $table->dropColumn('banner_right_big_4');
            $table->dropColumn('banner_right_big_4_url');
            $table->dropColumn('banner_right_big_5');
            $table->dropColumn('banner_right_big_5_url');
        });
    }
}
